Newsworthy theme requires at least WordPress 2.8 to function properly, and includes some standard features such as threaded comments and comment pagination. There are also over 10 widget-ready areas, including a widgetized footer, plus a custom widget for ad management.



Demo | Download

Badmash